> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quotelinestatus

> Hard-coded list of values for the QuoteLine.Status field, see <see cref="T:SuperOffice.Data.QuoteStatus" /> enum.

## "quotelinestatus" MDO List

Hard-coded list of values for the QuoteLine.Status field, see <see cref="T:SuperOffice.Data.QuoteStatus" /> enum.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteLineStatus">QuoteLineStatus</see> class.
The name of the MDO list is 'quotelinestatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quotelinestatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quotelinestatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                | StyleHint | ExtraInfo |
| -- | ------------------- | --------- | --------- |
| 0  | OK                  |           |           |
| 1  | OK with information |           |           |
| 2  | Warning             |           |           |
| 3  | Error               |           |           |

## Related MDO Lists

* "quotelinestatusheadings"
* "quotelinestatusheadingswithallitem"
* "quotelinestatusheadingswithallitemwithnoselection"
* "quotelinestatusheadingswithnoselection"
* "quotelinestatuswithallitem"
* "quotelinestatuswithallitemwithnoselection"
* "quotelinestatuswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.QuoteStatus](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteStatus.md)
- [Trigger](/en/automation/trigger/reference/CRMScript.Event.Trigger.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [Save Quote Line](/en/api/reference/restful/agent/quote_agent/save-quote-line.md)
- [Recalculate Quote Line](/en/api/reference/restful/agent/quote_agent/recalculate-quote-line.md)
- [SuperOffice.WebApi.Data](/en/api/reference/webapi/SuperOffice.WebApi.Data.md)
